Bug 1651006 - SCAP run failed on RHEL6 with error no such file to load -- json (LoadError)
Summary: SCAP run failed on RHEL6 with error no such file to load -- json (LoadError)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Ondřej Pražák
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1653190 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-18 17:17 UTC by Nikhil Kathole
Modified: 2019-10-07 17:18 UTC (History)
5 users (show)

Fixed In Version: rubygem-foreman_scap_client-0.4.1, rubygem-json-1.4.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:02 UTC
Foreman Issue Tracker 25500 None None None 2018-11-19 11:00:33 UTC

Description Nikhil Kathole 2018-11-18 17:17:53 UTC
Description of problem:
Trying to generate openscap report on rhel6 gives error 

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- json (LoadError)
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /usr/lib/ruby/gems/1.8/gems/foreman_scap_client-0.4.0/lib/foreman_scap_client/client.rb:8
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /usr/lib/ruby/gems/1.8/gems/foreman_scap_client-0.4.0/lib/foreman_scap_client.rb:2
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /usr/lib/ruby/gems/1.8/gems/foreman_scap_client-0.4.0/bin/foreman_scap_client:3
	from /usr/bin/foreman_scap_client:19:in `load'
	from /usr/bin/foreman_scap_client:19



Version-Release number of selected component (if applicable):
Satellite 6.5 snap 4



How reproducible:
always

Steps to Reproduce:
1. create rhel6 host with scap policy assigned
2. run foreman_scap_client on client

Actual results:

# foreman_scap_client 2
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- json (LoadError)
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /usr/lib/ruby/gems/1.8/gems/foreman_scap_client-0.4.0/lib/foreman_scap_client/client.rb:8
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /usr/lib/ruby/gems/1.8/gems/foreman_scap_client-0.4.0/lib/foreman_scap_client.rb:2
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /usr/lib/ruby/gems/1.8/gems/foreman_scap_client-0.4.0/bin/foreman_scap_client:3
	from /usr/bin/foreman_scap_client:19:in `load'
	from /usr/bin/foreman_scap_client:19


Expected results: Successful scap report generate.


Additional info:
On rhel 6 client

# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.10 (Santiago)

# rpm -qa | grep ruby
ruby-rdoc-1.8.7.374-5.el6.x86_64
rubygem-foreman_scap_client-0.4.0-3.el6sat.noarch
ruby-libs-1.8.7.374-5.el6.x86_64
ruby-irb-1.8.7.374-5.el6.x86_64
rubygems-1.3.7-5.el6.noarch
ruby-1.8.7.374-5.el6.x86_64

Comment 4 Marek Hulan 2018-11-19 11:00:32 UTC
Created redmine issue https://projects.theforeman.org/issues/25500 from this bug

Comment 6 Sanket Jagtap 2018-11-26 08:14:55 UTC
*** Bug 1653190 has been marked as a duplicate of this bug. ***

Comment 7 Nikhil Kathole 2019-02-04 07:46:47 UTC
VERIFIED

Version tested:

Satellite 6.5 snap 14

# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.10 (Santiago)

# foreman_scap_client 2
DEBUG: running: oscap xccdf eval  --profile xccdf_org.ssgproject.content_profile_standard  --results-arf /tmp/d20190204-8526-ifq2bb/results.xml /var/lib/openscap/content/6298742afc45309f86ac467c0c9a3e433ff505dd3d237dd8cbf72be1a02937bb.xml
WARNING: This content points out to the remote resources. Use `--fetch-remote-resources' option to download them.
WARNING: Skipping https://www.redhat.com/security/data/oval/com.redhat.rhsa-RHEL6.xml.bz2 file which is referenced from XCCDF content
DEBUG: running: /usr/bin/env bzip2 /tmp/d20190204-8526-ifq2bb/results.xml
Uploading results to https://sgi-uv20-01.rhts.eng.bos.redhat.com:9090/compliance/arf/2
Report uploaded, report id: 962satellite-installer --scenario satellite --foreman-proxy-dns false --foreman-proxy-dhcp false --foreman-proxy-tftp false --foreman-ipa-authentication false --disable-system-checks

Comment 10 errata-xmlrpc 2019-05-14 12:38:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.